Skip to main content
POST
/
v2
/
supplier_invoices
/
bulk
Create supplier invoices
curl --request POST \
  --url https://thirdparty.qonto.com/v2/supplier_invoices/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'supplier_invoices={
  "file": "path/to/file1.pdf",
  "idempotency_key": "4d5418bb-bd0d-4df4-865c-c07afab8bb48"
}' \
  --form supplier_invoices.items.0.file='@example-file'
{
  "supplier_invoices": [
    {
      "id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
      "organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
      "file_name": "invoice 101/2022.pdf",
      "invoice_number": "QONTO-JAN-2022",
      "supplier_name": "McDonald's",
      "description": "This is an invoice for Ronald!",
      "total_amount": {
        "value": "22.10",
        "currency": "EUR"
      },
      "due_date": "2022-03-01",
      "payment_date": "2022-03-01",
      "scheduled_date": "2022-03-01",
      "status": "to_review",
      "iban": "FR1420041010050500013M02606",
      "initiator_id": "89fq18bb-bd0d-4df4-865c-c07afab882a",
      "source_type": "email",
      "source": "email_forward",
      "created_at": "2022-03-04T17:58:30+02:00",
      "updated_at": "2022-03-04T17:58:30+02:00",
      "attachment_id": "08c66e1f-dded-4823-8fa3-29bed4d5e873",
      "analyzed_at": "2022-03-04T17:58:30+02:00",
      "request_transfer": {
        "id": "9d5718bb-bd0d-4df4-865c-c07afab8bb5",
        "initiator_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48"
      },
      "is_einvoice": false,
      "display_attachment_id": "8c66e1f-dded-4823-8fa3-29bed4d5e873",
      "declined_note": "declined",
      "has_discrepancies": false
    }
  ],
  "errors": []
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

multipart/form-data

You have to specify multipart form data in order to attach the file to the request. When using curl it will look like that:

curl --location --request POST 'https://thirdparty.qonto.com/supplier_invoices/bulk' \
--form 'supplier_invoices[][file]=@"/path/to/file1.png"' \
--form 'supplier_invoices[][idempotency_key]="4d5418bb-bd0d-4df4-865c-c07afab8bb48"' \
--form 'supplier_invoices[][file]=@"/path/to/file2.png"' \
--form 'supplier_invoices[][idempotency_key]="4d5418bb-bd0d-4df4-865c-c07afab8bb49"' \
--form 'source="pay_by_invoice"' \
--form 'meta="{\"integration_type\":\"dropbox\",\"connector\":\"grover\"}"' \
--form 'skip_attachment_matcher=true'
supplier_invoices
object[]
required
source
enum<string>
Available options:
pay_by_invoice,
supplier_invoices,
integration,
transaction_attachment,
generic_upload
Example:

"pay_by_invoice"

meta
object

Field used to append metadata to supplier invoices.

skip_attachment_matcher
boolean

If true, skips the attachment matcher step for all invoices in the bulk request.

Example:

false

Response

Returns the supplier invoices created.

This endpoint will always return a 200 regardless if there are any errors. Clients must ensure to check the errors property in order to confirm if all operations were successful. A 400 will be returned only if the whole request fails.

supplier_invoices
object[]
required
errors
object[]
required